#include "mybutton.h"

MyButton::MyButton(QWidget *parent, QLineEdit* le) :
    QPushButton(parent), line(le)
{
    setText("Click");
}

void MyButton::mousePressEvent(QMouseEvent *ev)
{
    Qt::MouseButton btn = ev->button();
    switch (btn)
    {
        case Qt::LeftButton :
            line->setText("Click Butonul Stanga");
            break;
        case Qt::RightButton :
            line->setText("Click Butonul Dreapta");
            break;
        case Qt::MiddleButton :
            line->setText("Click Butonul Mijloc");
            break;

        default:
            QPushButton::mousePressEvent(ev);
    }
}

void MyButton::wheelEvent(QWheelEvent *ev)
{
    if ( ev->delta() > 0 )
        line->setText("Wheel UP");
    else
        line->setText("Wheel DOWN");
}

void MyButton::keyPressEvent(QKeyEvent *ev)
{
    if ( ev->key() == Qt::Key_Return ||
         ev->key() == Qt::Key_Enter )
        line->setText("Enter!");
     else
        QPushButton::keyPressEvent(ev);
}
