#ifndef MYBUTTON_H
#define MYBUTTON_H

#include <QPushButton>
#include <QLineEdit>
#include <QMouseEvent>

class MyButton : public QPushButton
{
    Q_OBJECT
public:
    explicit MyButton(QWidget *parent = 0, QLineEdit* le = 0);

protected:
    void mousePressEvent(QMouseEvent* ev);
    void wheelEvent(QWheelEvent* ev);
    void keyPressEvent(QKeyEvent* ev);

signals:

public slots:
private:
    QLineEdit* line;
};

#endif // MYBUTTON_H
